org.bouncycastle.crypto.generators

## Class KDFFeedbackBytesGenerator

- java.lang.Object
- - org.bouncycastle.crypto.generators.KDFFeedbackBytesGenerator

- All Implemented Interfaces:
    DerivationFunction, MacDerivationFunction

      public class KDFFeedbackBytesGenerator
      extends java.lang.Object
      implements MacDerivationFunction

  This KDF has been defined by the publicly available NIST SP 800-108 specification.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KDFFeedbackBytesGenerator(Mac prf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `generateBytes(byte[] out, int outOff, int len)`
    `Mac` | `getMac()` return the MAC used as the basis for the function
    `void` | `init(DerivationParameters params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KDFFeedbackBytesGenerator

          public KDFFeedbackBytesGenerator(Mac prf)

  - ### Method Detail

    - #### init

          public void init(DerivationParameters params)

      Specified by:
        `init` in interface `DerivationFunction`

    - #### getMac

          public Mac getMac()

      Description copied from interface: `MacDerivationFunction`
      return the MAC used as the basis for the function
      Specified by:
        `getMac` in interface `MacDerivationFunction`
      Returns:
        the Mac.

    - #### generateBytes

          public int generateBytes(byte[] out,
                                   int outOff,
                                   int len)
                            throws DataLengthException,
                                   java.lang.IllegalArgumentException

      Specified by:
        `generateBytes` in interface `DerivationFunction`
      Throws:
        `DataLengthException`
        `java.lang.IllegalArgumentException`